<?php
// IContentHandler.php
// Created: 2024-03-28
// Updated: 2024-03-28

namespace Index\Http\ContentHandling;

use Index\Http\HttpResponseBuilder;

interface IContentHandler {
    function match(mixed $content): bool;
    function handle(HttpResponseBuilder $response, mixed $content): void;
}
