<?php
// PlainErrorHandler.php
// Created: 2024-03-28
// Updated: 2024-03-28

namespace Index\Http\ErrorHandling;

use Index\Http\{HttpResponseBuilder,HttpRequest};

class PlainErrorHandler implements IErrorHandler {
    public function handle(HttpResponseBuilder $response, HttpRequest $request, int $code, string $message): void {
        $response->setTypePlain();
        $response->setContent(sprintf('HTTP %03d %s', $code, $message));
    }
}
