<?php
// HttpDelete.php
// Created: 2024-03-28
// Updated: 2024-03-28

namespace Index\Http\Routing;

use Attribute;

/**
 * Provides an attribute for marking methods in a class as a DELETE route.
 */
#[Attribute(Attribute::TARGET_METHOD | Attribute::IS_REPEATABLE)]
class HttpDelete extends HttpRoute {
    public function __construct(string $path) {
        parent::__construct('DELETE', $path);
    }
}
