<?php
// IRouteHandler.php
// Created: 2024-03-28
// Updated: 2024-03-28

namespace Index\Http\Routing;

/**
 * Provides the interface for IRouter::register().
 */
interface IRouteHandler {
    /**
     * Registers routes on a given IRouter instance.
     *
     * @param IRouter $router Target router.
     */
    public function registerRoutes(IRouter $router): void;
}
